CK_BITMAP_TEST(3)

NAME
ck_bitmap_next - iterate to the next set bit in bitmap

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_bitmap.h>
bool
ck_bitmap_next(ck_bitmap_t *bitmap, ck_bitmap_iterator_t iterator, unsigned int *bit);

DESCRIPTION
The ck_bitmap_next() function will increment the iterator object pointed to by iterator to point to the next set bit in the bitmap. If ck_bitmap_next() returns true then the pointer pointed to by bit is initialized to the number of the current set bit pointed to by the iterator object.

It is expected that iterator has been initialized using the ck_bitmap_iterator_init(3) function.

RETURN VALUES
If ck_bitmap_next() returns true then the object pointed to by bit contains a set bit. If ck_bitmap_next() returns false then value of the object pointed to by bit is undefined.

ERRORS
Behavior is undefined if iterator or bitmap are uninitialized.

SEE ALSO
ck_bitmap_base(3), ck_bitmap_size(3), ck_bitmap_init(3), ck_bitmap_set(3), ck_bitmap_reset(3), ck_bitmap_clear(3), ck_bitmap_bits(3), ck_bitmap_buffer(3), ck_bitmap_iterator_init(3)

Additional information available at http://concurrencykit.org/